Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.actions
Class LibrarySessionAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.LibrarySessionAction

All Implemented Interfaces:
  Action, IfsParameters

Direct Known Subclasses:
  CopyToIfsAction, CreateRetainedEventTypeAction, InactivateAgentsAction, LibrarySessionAndJDBCAction, LibrarySessionUpgradeAction, PutPolicyAction, RenamePublicObjectAction

    public abstract class LibrarySessionAction

extends AbstractAction
implements IfsParameters

The LibrarySessionAction class is an Action implementation that provides a connected LibrarySession. Note: LibrarySessionAction uses keys defined in IfsParameters for the iFS credentials and connect options, as well as the following key:
`restartService` - if true, restarts the given LibraryService [default = false]

(Unpublished)
Modified:
  dpitfiel 2/04/2009 Fix service name to DefaultStandaloneService., dpitfiel 1/14/2009 Fix service name to IfsDefault., vdevadha 8/26/2005 Use the specified service config., vdevadha 2/17/2005 Allow only SchemaPassword based logins for system., sgarg 02/17/2005 Using new LibraryService.startService() method, dlong 05/28/2002 Prevent session & operation timeouts, sgarg 04/04/2002 Changed the constructor to take domain name instead of service name., lsaenz 01/08/2001 Added restartService key to bounce LSV., lsaenz 11/07/2000 Changed to use options rather than members., lsaenz 11/03/2000 Changed to use bound LibraryService API., lsaenz 08/18/2000 Updated comments., lsaenz 08/16/2000 Changed to use IfsException.toLocalizedString., lsaenz 08/02/2000 Handle IfsException localized messages., lsaenz 08/01/2000 Added default constructor and mutator methods., lsaenz 07/31/2000 Created.

Field Summary
`static java.lang.String` | `RESTART_SERVICE` Whether the LibraryService will be restarted.

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`LibrarySessionAction()` Creates a new LibrarySessionAction without specifying credentials.
`LibrarySessionAction(java.lang.String user, java.lang.String password, java.lang.String domain, java.lang.String schemaPassword)` Creates a new LibrarySessionAction.
`LibrarySessionAction(java.lang.String user, java.lang.String password, java.lang.String domain, java.lang.String schemaPassword, boolean forSchemaUpgrade)` Creates a new LibrarySessionAction.

Method Summary
`abstract void` | `execute(LibrarySession sess)` Executes iFS methods.
`void` | `perform()` Performs this LibrarySessionAction.
`void` | `setDomain(java.lang.String domain)` Sets the iFS domain name.
`void` | `setForSchemaUpgrade(boolean forSchemaUpgrade)` Sets whether the iFS connection is for a schema upgrade.
`void` | `setPassword(java.lang.String password)` Sets the iFS user's password.
`void` | `setRestartService(boolean restartService)` Sets whether the iFS service will be restarted.
`void` | `setSchemaPassword(java.lang.String schemaPassword)` Sets the iFS schema password.
`void` | `setUser(java.lang.String user)` Sets the iFS user name.

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.ifs.utils.action.Action
`failed, stop`

Field Detail

### RESTART_SERVICE

    public static final java.lang.String RESTART_SERVICE

  Description copied from class: `LibrarySessionAction`
  Whether the LibraryService will be restarted. Defined as: "restartService".

  See Also:
    Constant Field Values

Constructor Detail

### LibrarySessionAction

    public LibrarySessionAction()

  Creates a new LibrarySessionAction without specifying credentials.

### LibrarySessionAction

    public LibrarySessionAction(java.lang.String user,
                                java.lang.String password,
                                java.lang.String domain,
                                java.lang.String schemaPassword)

  Creates a new LibrarySessionAction. The `forSchemaUpgrade` property is set to `false`.

  Parameters:
    `user` - the iFS user name.
    `password` - the user's password.
    `domain` - the iFS domain name.
    `schemaPassword` - the iFS schema password.

### LibrarySessionAction

    public LibrarySessionAction(java.lang.String user,
                                java.lang.String password,
                                java.lang.String domain,
                                java.lang.String schemaPassword,
                                boolean forSchemaUpgrade)

  Creates a new LibrarySessionAction.

  Parameters:
    `user` - the iFS user name.
    `password` - the user's password.
    `domain` - Name the domain name
    `schemaPassword` - the iFS schema password.
    `forSchemaUpgrade` - true if the connection is for a schema upgrade.

Method Detail

### setUser

    public void setUser(java.lang.String user)

  Description copied from class: `LibrarySessionAction`
  Sets the iFS user name.

### setPassword

    public void setPassword(java.lang.String password)

  Description copied from class: `LibrarySessionAction`
  Sets the iFS user's password.

### setDomain

    public void setDomain(java.lang.String domain)

  Description copied from class: `LibrarySessionAction`
  Sets the iFS domain name.

### setSchemaPassword

    public void setSchemaPassword(java.lang.String schemaPassword)

  Description copied from class: `LibrarySessionAction`
  Sets the iFS schema password.

### setForSchemaUpgrade

    public void setForSchemaUpgrade(boolean forSchemaUpgrade)

  Description copied from class: `LibrarySessionAction`
  Sets whether the iFS connection is for a schema upgrade.

### setRestartService

    public void setRestartService(boolean restartService)

  Description copied from class: `LibrarySessionAction`
  Sets whether the iFS service will be restarted.

### perform

    public void perform()
                 throws ActionFailedException

  Description copied from class: `LibrarySessionAction`
  Performs this LibrarySessionAction. Connects to the iFS instance, sets admin mode (if possible) invokes the execute method, passing it the LibrarySession, and disconnects the LibrarySession when the execute method returns.

  Specified by:
    `perform` in interface `Action`
  Throws:
    `ActionFailedException` - if this Action fails.

### execute

    public abstract void execute(LibrarySession sess)
                          throws IfsException,
                                 ActionFailedException

  Description copied from class: `LibrarySessionAction`
  Executes iFS methods.
  Note: Subclasses should provide an implementation for this method.
  The LibrarySession does not need to be disconnected by this method; the calling method will close it. However, any cursors or event handling should be closed or stopped.

  Parameters:
    `sess` - the connected LibrarySession (in admin mode if possible).
  Throws:
    `IfsException` - if a database error occurs.
    `ActionFailedException` - if any other error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD